<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Interface org.apache.nutch.net.URLNormalizer (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.nutch.net.URLNormalizer (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/net/class-use/URLNormalizer.html" target="_top">Frames</a></li>
<li><a href="URLNormalizer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.nutch.net.URLNormalizer" class="title">Uses of Interface<br>org.apache.nutch.net.URLNormalizer</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.ajax">org.apache.nutch.net.urlnormalizer.ajax</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.basic">org.apache.nutch.net.urlnormalizer.basic</a></td>
<td class="colLast">
<div class="block">URL normalizer performing basic normalizations:
 
 remove default ports, e.g., port 80 for <code>http://</code> URLs
 remove needless slashes and dot segments in the path component
 remove anchors
 use percent-encoding (only) where needed
 
 
 E.g.,
 <code>https://www.example.org/a/../b//./select%2Dlang.php?lang=español#anchor<code>
 is normalized to <code>https://www.example.org/b/select-lang.php?lang=espa%C3%B1ol</code>
 
 Optional and configurable normalizations are:
 
 convert Internationalized Domain Names (IDNs) uniquely either to the
 ASCII (Punycode) or Unicode representation, see property
 <code>urlnormalizer.basic.host.idn</code>
 remove a trailing dot from host names, see property
 <code>urlnormalizer.basic.host.trim-trailing-dot</code>
 </div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.host">org.apache.nutch.net.urlnormalizer.host</a></td>
<td class="colLast">
<div class="block">URL normalizer renaming hosts to a canonical form listed in the
 configuration file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.pass">org.apache.nutch.net.urlnormalizer.pass</a></td>
<td class="colLast">
<div class="block">URL normalizer dummy which does not change URLs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.protocol">org.apache.nutch.net.urlnormalizer.protocol</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.querystring">org.apache.nutch.net.urlnormalizer.querystring</a></td>
<td class="colLast">
<div class="block">URL normalizer which sort the elements in the query part to avoid duplicates
 by permutations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.regex">org.apache.nutch.net.urlnormalizer.regex</a></td>
<td class="colLast">
<div class="block">URL normalizer with configurable rules based on regular expressions
 (<a href="https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex"><code>Pattern</code></a>).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.slash">org.apache.nutch.net.urlnormalizer.slash</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.ajax">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/ajax/package-summary.html">org.apache.nutch.net.urlnormalizer.ajax</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/ajax/package-summary.html">org.apache.nutch.net.urlnormalizer.ajax</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/ajax/AjaxURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.ajax">AjaxURLNormalizer</a></span></code>
<div class="block">URLNormalizer capable of dealing with AJAX URL's.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.basic">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/basic/package-summary.html">org.apache.nutch.net.urlnormalizer.basic</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/basic/package-summary.html">org.apache.nutch.net.urlnormalizer.basic</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/basic/BasicURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.basic">BasicURLNormalizer</a></span></code>
<div class="block">Converts URLs to a normal form:
 
 remove dot segments in path: <code>/./</code> or <code>/../</code>
 remove default ports, e.g.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.host">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/host/package-summary.html">org.apache.nutch.net.urlnormalizer.host</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/host/package-summary.html">org.apache.nutch.net.urlnormalizer.host</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/host/HostURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.host">HostURLNormalizer</a></span></code>
<div class="block">URL normalizer for mapping hosts to their desired form.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.pass">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/pass/package-summary.html">org.apache.nutch.net.urlnormalizer.pass</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/pass/package-summary.html">org.apache.nutch.net.urlnormalizer.pass</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/pass/PassURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.pass">PassURLNormalizer</a></span></code>
<div class="block">This URLNormalizer doesn't change urls.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.protocol">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/protocol/package-summary.html">org.apache.nutch.net.urlnormalizer.protocol</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/protocol/package-summary.html">org.apache.nutch.net.urlnormalizer.protocol</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/protocol/ProtocolURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.protocol">ProtocolURLNormalizer</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.querystring">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/querystring/package-summary.html">org.apache.nutch.net.urlnormalizer.querystring</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/querystring/package-summary.html">org.apache.nutch.net.urlnormalizer.querystring</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/querystring/QuerystringURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.querystring">QuerystringURLNormalizer</a></span></code>
<div class="block">URL normalizer plugin for normalizing query strings but sorting query string
 parameters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.regex">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/regex/package-summary.html">org.apache.nutch.net.urlnormalizer.regex</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/regex/package-summary.html">org.apache.nutch.net.urlnormalizer.regex</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/regex/RegexURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.regex">RegexURLNormalizer</a></span></code>
<div class="block">Allows users to do regex substitutions on all/any URLs that are encountered,
 which is useful for stripping session IDs from URLs.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.slash">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a> in <a href="../../../../../org/apache/nutch/net/urlnormalizer/slash/package-summary.html">org.apache.nutch.net.urlnormalizer.slash</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/nutch/net/urlnormalizer/slash/package-summary.html">org.apache.nutch.net.urlnormalizer.slash</a> that implement <a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">URLNormalizer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/urlnormalizer/slash/SlashURLNormalizer.html" title="class in org.apache.nutch.net.urlnormalizer.slash">SlashURLNormalizer</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/net/class-use/URLNormalizer.html" target="_top">Frames</a></li>
<li><a href="URLNormalizer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
